require "spec_helper"

module StepWorkflow
  def self.run
    "Foo"
  end

  Postjob.register_workflow self, version: "1.2"
end

describe "Postjob.step" do
  include TestHelper

  let!(:job_id) { Postjob.enqueue! "StepWorkflow" }

  it "runs the job is there is one" do
    rv = Postjob.step
    expect(rv).to eq([job_id, nil])
  end

  it "returns nil if there is none" do
    Postjob.process_all
    processed_job = Postjob.step
    expect(processed_job).to be_nil
  end
end
